org.eclipse.net4j

## Class FactoriesProtocolProvider

- java.lang.Object
- - org.eclipse.net4j.FactoriesProtocolProvider

- All Implemented Interfaces:
    IProtocolProvider

      public class FactoriesProtocolProvider
      extends Object
      implements IProtocolProvider

  Factory-based `protocol provider`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoriesProtocolProvider()`
    `FactoriesProtocolProvider(IFactory factory)`
    `FactoriesProtocolProvider(IRegistry<String,IFactory> registry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFactory(IFactory factory)`
    `IProtocol<?>` | `getProtocol(String type)`
    `IRegistry<String,IFactory>` | `getRegistry()`
    `void` | `setRegistry(IRegistry<String,IFactory> registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoriesProtocolProvider

          public FactoriesProtocolProvider()

    - #### FactoriesProtocolProvider

          public FactoriesProtocolProvider(IRegistry<String,IFactory> registry)

    - #### FactoriesProtocolProvider

          public FactoriesProtocolProvider(IFactory factory)

  - ### Method Detail

    - #### getRegistry

          public IRegistry<String,IFactory> getRegistry()

    - #### setRegistry

          public void setRegistry(IRegistry<String,IFactory> registry)

    - #### addFactory

          public void addFactory(IFactory factory)

    - #### getProtocol

          public IProtocol<?> getProtocol(String type)

      Specified by:
        `getProtocol` in interface `IProtocolProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html